### Method

# Soup Server accept_iostream

#### Declaration [src]

    gboolean
    soup_server_accept_iostream (
      SoupServer* server,
      GIOStream* stream,
      GSocketAddress* local_addr,
      GSocketAddress* remote_addr,
      GError** error
    )

#### Description [src]

Adds a new client stream to the `server`.

#### Parameters

`stream` | `GIOStream`
| A `GIOStream`.
| The data is owned by the caller of the function.
`local_addr` | `GSocketAddress`
| The local `GSocketAddress` associated with the `stream`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`remote_addr` | `GSocketAddress`
| The remote `GSocketAddress` associated with the `stream`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success, `FALSE` if the stream could not be accepted or any other error occurred (in which case `error` will be set).